# Makefile of ROOT for DEC OSF1 with KCC compiler

# When changing OPT to -O you can also change +K0 to +K1

ifeq (debug,$(findstring debug,$(ROOTBUILD)))
OPT           = -g
CXX_OPT       = +K0 -O0
NOOPT         =
else
OPT           = -O4
CXX_OPT       = +K3
NOOPT         =
endif

ifeq (exception,$(findstring exception,$(ROOTBUILD)))
EXCEPTION     = --exceptions
else
EXCEPTION     = --no_exceptions
endif

PLATFORM      = alpha
VPATH         = $(ROOTSYS)/include
CXX           = KCC
CC            = cc
CXXFLAGS      = $(EXCEPTION) --signed_chars --display_error_number --diag_suppress 68 \
                --diag_suppress 191 --diag_suppress 830 -I$(OPENGL)/include \
                $(CXX_OPT) -D__osf__ -D__alpha -I$(ROOTSYS)/include
CFLAGS        = -signed \
                $(OPT) -I$(ROOTSYS)/include -DSGI_REL=$(SGI_REL)
CINTCXXFLAGS  = $(EXCEPTION) --signed_chars --display_error_number --diag_suppress 68 \
                --diag_suppress 191 --diag_suppress 830 -DG__REGEXP -DG__UNIX -DG__SHAREDLIB \
                -DG__OSFDLL -DG__SIGNEDCHAR -DG__DECCXX -DG__ROOT \
                -DG__REDIRECTIO -DG__64BIT \
                $(CXX_OPT) -I$(ROOTSYS)/include
CINTCFLAGS    = -signed -w -DG__REGEXP -DG__UNIX -DG__SHAREDLIB \
                -DG__OSFDLL -DG__SIGNEDCHAR -DG__DECCXX -DG__ROOT \
                -DG__REDIRECTIO -DG__64BIT -D__KCC \
                $(OPT) -I$(ROOTSYS)/include
LD            = KCC
LDFLAGS       = -v $(CXXOPT) $(EXCEPTION)
AR            = KCC
ARFLAGS       = -v $(CXXOPT) $(EXCEPTION)
SOFLAGS       =
# we should pass this to the linker but KCC
# dont let us
# -Wl,-expect_unresolved,*
SOEXT         = so
SYSLIBS       = -lm
SYSXLIBS      = -lX11 -lm -lPW
XLIBS         = -L$(ROOTSYS)/lib -lXpm -lX11
CILIBS        = -lm -ltermcap -lbsd
CRYPTLIBS     = -L$(ROOTSYS)/lib -lcrypt
F77           = f77
F77FLAGS      = $(OPT) -O0 -recursive -nofor_main
F77LIBS       = /usr/lib/libfor.a -lUfor -lFutil


##### MACROS and TARGETS #####

include Make-macros


##### DEPENDENCIES #####

include Make-depend

# DO NOT DELETE
